apiVersion: v1
kind: Pod
metadata:
  name: secret-pod
  namespace: default
spec:
  containers:
  - name: nginx
    image: nginx:latest
    imagePullPolicy: IfNotPresent
    env:
    - name: MYSQL_ROOT_PWD
      valueFrom:
        secretKeyRef:
          name: mysql-root-pwd
          key: pwd
